Subject: RE: [hackers-il] [[email-masked]: Shimon Schocken on Tu esday 05/06/2001]

From: Chen Shapira <[email-masked]>
Date: Tue, 10 Apr 2001 13:20:55 +0200

> sure there is, when you are debugging with a textual debugger, such as
> gdb. why, oh why, if i declare a variable as foo_bar, should 
> i do 'print
> FOO_BAR'? i suspect at some point the debugging symbols are 
> converted to
> upper case by the compiler.

My apologies.
I had in mind case-insensitivity VB style.
You write "print foobar" and your friendly debugger will match FOOBAR,
FooBAr, etc.

I understood case insensitive in the sense of "case doesn't matter to us at
all". I'm sure you know SQL works this way.
I had no idea Pascal thinks case-insensitive means everything is uppercase.

*That* is horrible.

> > The worse part about Pascal IMO is that there's no pointer 
> to functions, and
> > no annonymous functions. On the other hand it has nested 
> functions (I
> > think), which I wouldn't mind seeing in more langauges.
> 
> pointers to functions you don't have, but i seem to recall 
> you can pass
> the functions themselves as parameters, just cannot return them?

Interesting. I would try it if I'll find myself with a pascal compiler in a
small room with nothing better to do :-)

---

From: Oleg Goldshmidt <[email-masked]>
Date: 10 Apr 2001 14:34:20 +0300

> I had no idea Pascal thinks case-insensitive means everything is uppercase.

Come on, you are a lisp-er. Or should it be "LISP-er"?

I strongly suspect it's a particular implementation. I think f2c also
has something like this. While Fortran itself is truly
case-insensitive (it has another horrible feature - its identifiers
are white-space-insensitive as well), having a foo or a FOO in the
code will lead you to a foo in the debugger. In f2c actually. I don't
find it particularly horrible (it's all lower-case), nor did I object
too much to name-mangling, which was an evil, but a necessary one.

-- 
Oleg Goldshmidt | [email-masked] 
"I'd rather write programs to write programs than write programs."